# Uses of Class
com.logicaldoc.core.job.AbstractJob

Packages that use AbstractJob
Package
Description
com.logicaldoc.core.job
API to define jobs you can schedule to run at a given date or on a given cron expression

## Uses of AbstractJob in com.logicaldoc.core.job

Methods in com.logicaldoc.core.job with parameters of type AbstractJob
Modifier and Type
Method
Description
`void`
JobManager.`schedule(AbstractJob job, Map<String,Object> dictionary, Object... triggers)`
Schedules a new Job
`void`
JobManager.`schedule(AbstractJob job, Map<String,Object> dictionary, Map<Object,Map<String,Object>> triggers)`
Schedules a new Job
`void`
JobManager.`scheduleNow(AbstractJob job, Map<String,Object> dictionary)`
Immediately runs a Job